aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/xds-docker-create-container.sh
diff options
context:
space:
mode:
authorRonan Le Martret <ronan.lemartret@iot.bzh>2017-06-27 14:45:53 +0200
committerRonan Le Martret <ronan.lemartret@iot.bzh>2017-06-27 14:53:39 +0200
commit8c06a00c2437d0facb61b251c10a4a5729369166 (patch)
tree01a8971cc79eff2ba3d172303c2748bbcc22bf2d /scripts/xds-docker-create-container.sh
parentea3b17feb2eb2d54bbc27dc75eee60bd1fe67d27 (diff)
Update Readme file
* Add systemd service file * Add autoconfig for ssh contener * Add http port conf to xds-server-start.sh script Signed-off-by: Ronan Le Martret <ronan.lemartret@iot.bzh>
Diffstat (limited to 'scripts/xds-docker-create-container.sh')
-rwxr-xr-xscripts/xds-docker-create-container.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/xds-docker-create-container.sh b/scripts/xds-docker-create-container.sh
index 46dde96..b75ecfd 100755
--- a/scripts/xds-docker-create-container.sh
+++ b/scripts/xds-docker-create-container.sh
@@ -103,5 +103,26 @@ if ($FORCE); then
docker exec --user $DOCKER_USER ${NAME} bash -c "nohup /usr/local/bin/xds-server-start.sh" || exit 1
fi
+echo "Copying your identity to container $NAME"
+#wait ssh service
+echo -n wait ssh service .
+res=3
+max=30
+count=0
+while [ $res -ne 0 ] && [ $count -le $max ]; do
+ sleep 1
+ docker exec ${NAME} bash -c "systemctl status ssh" 2>/dev/null 1>&2
+ res=$?
+ echo -n "."
+ count=$(expr $count + 1);
+done
+echo
+
+ssh-keygen -R [$(hostname)]:$SSH_PORT -f ~/.ssh/known_hosts
+docker exec ${NAME} bash -c "mkdir -p /home/devel/.ssh"
+docker cp ~/.ssh/id_rsa.pub ${NAME}:/home/devel/.ssh/authorized_keys
+docker exec ${NAME} bash -c "chown devel:devel -R /home/devel/.ssh ;chmod 0700 /home/devel/.ssh;chmod 0600 /home/devel/.ssh/*"
+ssh -o StrictHostKeyChecking=no -p $SSH_PORT devel@$(hostname) exit
+
echo "You can now login using:"
echo " ssh -p $SSH_PORT $DOCKER_USER@$(hostname)"